# Introduction

## **Why do you need a payment processor?**

A payment processor, quite simply, handles payments on your behalf. They avoid you having to undertake huge technical, financial and legal complications and allows you to concentrate on running your business.  
For example, major card payment processors, Visa and Mastercard handle the charging of transactions from payments made on credit and debit cards, validating that the user has enough money to take the payment requested in the transaction, it’s not deemed to be fraudulent and return a result back to the requestor, whether that’s a from a card machine or online payment.  
  
A typical online experience is:  
When a user clicks "Pay", the user can input their card details, and click to proceed. At the point of the user clicking to proceed, the payment processor will check the user has enough funds, perhaps matches address held of card owner, doesn’t trigger any fraudulent or limitation warnings and if all passes, can return ‘success’ to the website, which then will complete the users order and send an email, as the funds were are able to be transferred and is on it’s way to being transferred to the merchants bank account.

## **How is BTCP Pay processing different?**

The described process is actually very similar for BTCP Pay payments really, but with many improvements! Instead of entering card details, the user scans a QR code on their phone and hits the send button. This creates a ‘digital signature’ from the users wallet \(this would be the equivalent of card details happening in the background\). Checks will happen on the blockchain \(equivalent to banks\) to ensure the user has enough funds for the transaction to be approved. A ‘node’, which one of the many servers that make up the blockchain, will accept the signature and determine if the funds can be transferred from customer to merchant. Upon approval that this can happen, BTCP Pay will wait until more nodes give their approval confirmation before the transaction can happen and when they do, approves the order in the website and sends the email.

Aside from never having to enter card details, which is a huge plus, there are many nodes around the world that have to confirm the transaction can happen. This is the essence of ‘decentralised’ blockchains vs ‘centralised’ card processors. Many nodes have to confirm the transaction is legitimate rather than a single card processor. It helps ensure fraud and corruption is eradicated, because many systems have to confirm it is legitimate. Even better, the customer isn’t typing in sensitive information, like a credit card numbers and furthermore, the digital signature that is created is irreversible and for one time use only, so can safely be provided as intended.  
  
****

## **Great, any other benefits?**

Yes! Aside from improved security, the transactions are recognised almost instantly and the merchant can alter how many confirmations they want before order acceptance. The processing cost is a few ‘sats’ \(Satoshis\) by the ‘miners’ who help the blockchain network run, which equates to a fraction of a US cent at present, so the merchant can accept payments and for a tiny transaction fee. It’s cross border too, so no need to deal with complicated foreign banking systems and restrictions, you can send a payment to anyone worldwide with no barriers, international transfer fees or issues to encounter. Blockchains simply have no borders.

Lastly, Bitcoin Private, the cryptocurrency used by BTCP Pay contains provably private technology, using zk-SNARKs. This technology means that the sender and receiver have no idea of each other. Because there is no connection or communication between them, it means transactions are untraceable. Did you know that 40% of Bitcoin transactions can be resolved to work who a sender has sent a payment to? This is simply impossible with Bitcoin Private, it can never be established, hence it is entirely private, just as you’d want financial transactions to be.  
  
****

## **Handling the money**

So, where does the money go and how can I retrieve it? Bitcoin Private holds none of your money, like say a bank would - you are essentially your own bank. As long as you keep your ‘private key’ safe, you can retrieve your funds at any time and from anywhere.

The future will likely be that you never check out to fiat ‘cash’ money and you in turn would use your wallet funds to buy whatever you require from other merchants, their websites and on premises. But of course you may want to withdraw from your wallet to your bank account. This too is easy to do any time and plenty of websites are available where you can send money to your typical bank, usually for a fee and a small delay \(the norm cryptocurrencies tend to want to get away from!\). Another good option is to transfer money from your wallet to a cryptocurrency card provider \(such as MCO, Wirex and others\). This enables you to pay using a Visa or Mastercard from your BTCP wallet and the equivalent cryptocurrency amount is taken from your balance.

So you have great options - keep it within your cryptocurrency wallet, spent it using a card or withdraw it anytime, whatever you and your business needs are at the time.

## **You’re in control of your data**

We provide options for using the BTCP Pay service, using us as much or as little as you’d like. At its most basic, you can use our services via the website and we handle all payments for you, as a cloud based service. While this the blockchain behind the scenes is decentralised, using us as a service is technically centralised. So, we offer further options where you can easily setup your own BTCP Pay server with a single click at large web hosting service providers such as Digital Ocean, or install on your own server easily also using handy setup guides. Depending on your preferences and requirements, you can run your own copy of our service very easily, putting you entirely in control and every part of the payment service you offer is either via you or in a decentralised manner.

Regarding your merchant BTCP wallet, a new payment address is created for every transaction, as the wallet you use is a HD \(Hierarchical Deterministic\) wallet. This is essentially a master wallet that has an infinite number of addresses within it. So while you may have taken 10,000 transactions over time, each under a new address within your HD wallet, you can collate and spend from it as a whole. This provides further privacy and untraceability for users and convenience to you.

## **Setup convenience and speed**

Merchants can sign up at btcppay.com, establish their website address, customise their widget code and have it inserted into their site within minutes. We offer solutions to put into a standard HTML site, a WordPress plugin and a WooCommerce plugin already, with more solutions coming soon such as Shopify and others. Future updates will include EPOS solutions and ‘speak to order’ solutions so on-premesis services can be provided, such as in a restaurant, store, drive thru or automated ordering machine.

From a customers point of view, they can purchase using their phone, by scanning a QR code shown, confirming the amount and hitting send. The website automatically recognises this, typically within a split second and completes the order according the merchants approval rules.

Being a global solution, the widget also handles currencies from around the world, allowing the merchant to inform user of the BTCP and fiat currency cost in over 32 currencies, such as US Dollars, British Pounds Sterling, Japanese Yen and more. It does all this seamlessly for you and with currency rates updated every 5 minutes so you’re in tune with major currencies worldwide.

##  **Summary**

Much like traditional payment processors, BTCP Pay offers cryptocurrency as a payment solution, which was always deemed to the use of the original Bitcoin and something we’re keen to make happen with Bitcoin Private. We safely, securely and privately handle payments through our blockchain, with speed, efficiency and extremely low cost, it’s incredibly quick and easy to setup in a variety of scenarios and both simple and fast for users to use. The customer never leaves your site and we store no personally identifiable information about your users or purchases, unless you want us to store this, again putting you in control.

With us, you’re entirely in control and embracing a bright new future with cryptocurrencies, join us and be at the forefront of the new era of digital currency usage.  
  
Register at:  
[https://btcppay.com/  
  
](https://btcppay.com/)Further reading at:  
[https://docs.btcppay.com/](https://docs.btcppay.com/)  


